%define name smartmontools
%define version 5.0
%define release 8.2mdk

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:	SMARTmontools - for monitoring S.M.A.R.T. disks and devices
License:	GPL
Group:		System/Kernel and hardware
Source0:	%{name}-%{version}.tar.bz2
Patch0:		%{name}-makefile-patch.bz2
Patch1:		%{name}-initd.bz2
URL:            http://smartmontools.sourceforge.net/
BuildRoot:      %{_tmppath}/%{name}-root
Conflicts:	smartsuite
Prereq:		rpm-helper

%description 
SMARTmontools controls and monitors storage devices using the
Self-Monitoring, Analysis and Reporting Technology System (S.M.A.R.T.)
build into ATA and SCSI Hard Drives. This is used to check the
reliability of the hard drive and predict drive failures. The suite
contents two utilities.  The first, smartctl, is a command line
utility designed to perform simple S.M.A.R.T. tasks. The second,
smartd, is a daemon that periodically monitors smart status and
reports errors to syslog.  The package is compatible with the
ATA/ATAPI-5 specification.  Future releases will be compatible with
the ATA/ATAPI-6 andATA/ATAPI-7 specifications.  The package is
intended to incorporate as much "vendor specific" and "reserved"
information as possible about disk drives.  man smartctl and man
smartd will provide more information.

# The following sections are executed by the SRPM file
%prep
%setup -q
%patch0 -p0
%patch1 -p0

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%files
%defattr(-,root,root)
%attr(755,root,root) /usr/sbin/smartd
%attr(755,root,root) /usr/sbin/smartctl
%attr(755,root,root) %config(noreplace) %{_initrddir}/smartd
%doc %attr(644,root,root) /usr/share/man/man8/smartctl.8.bz2
%doc %attr(644,root,root) /usr/share/man/man8/smartd.8.bz2
%doc CHANGELOG COPYING TODO README VERSION

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf %{_builddir}/%{name}-%{version}

# The following are executed only by the binary RPM at install/uninstall

%post
%_post_service smartd
if [ -f /var/lock/subsys/smartd ]; then
	/etc/rc.d/init.d/smartd restart 1>&2
	echo "Restarted smartd services"
else
        echo "Run \"/etc/rc.d/init.d/smartd start\" to start smartd service now."
fi

%preun
if [ -f /var/lock/subsys/smartd ]; then
        /etc/rc.d/init.d/smartd stop 1>&2
        echo "Stopping smartd services"
fi
%_preun_service smartd


%changelog
* Thu Jan 16 2003 Erwan Velu <erwan@mandrakesoft.com> 5.0-8.2mdk
- Rebuild for new glibc
* Tue Oct 15 2002 Erwan Velu <erwan@mandrakesoft.com> 5.0-8.1mdk
- First mdk release

* Mon Oct 14 2002  Bruce Allen smartmontools-support@lists.sourceforge.net
Initial release.  Code is derived from smartsuite, and is
   intended to be compatible with the ATA/ATAPI-5 specifications.
